# BuckoVidLib-log4j.properties - debugging BuckoVidLib
# This is a sample of the config file and is currently tweaked for development

log4j.rootLogger=info, stdout, logfile

log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d %5p [%c{3}:%L] - <%m>%n

log4j.appender.logfile=org.apache.log4j.RollingFileAppender
log4j.appender.logfile.File=/tmp/BuckoVidLib-devel.log
log4j.appender.logfile.MaxFileSize=2048KB
# Keep three backup files.
log4j.appender.logfile.MaxBackupIndex=4
# Pattern to output: date priority [category] - message
log4j.appender.logfile.layout=org.apache.log4j.PatternLayout
log4j.appender.logfile.layout.ConversionPattern=%d %5p [%c:%L] - %m%n

log4j.logger.org.hibernate=info
log4j.logger.com.buckosoft.BSAccount=info
log4j.logger.com.buckosoft.BuckoVidLib.business.LibraryManagerImpl=info
log4j.logger.com.buckosoft.BuckoVidLib.business.LibraryManagerImpl$PlexLibraryUpdater=info

log4j.logger.com.buckosoft.BuckoVidLib.business.UserFactory=info
log4j.logger.com.buckosoft.BuckoVidLib.domain.UserWebSession=info
log4j.logger.com.buckosoft.BuckoVidLib.web.ImageController=info
log4j.logger.com.buckosoft.BuckoVidLib.web.PosterController=info